Open MPI logo

Hardware Locality Development Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Hardware Locality Development mailing list

Subject: Re: [hwloc-devel] libpci: GPL
From: Jeff Squyres (jsquyres) (jsquyres_at_[hidden])
Date: 2013-02-06 10:10:55

On Feb 6, 2013, at 7:02 AM, Brice Goglin <Brice.Goglin_at_[hidden]> wrote:

> Just pushed Samuel's patch + the configury + one fix for object names.
> The code currently uses libpciaccess by default. pciutils is only used
> when libpciaccess isn't available.

I think that this will still result in many GPL-enabled hwlocs by default because libpci is installed on many distros by default, but libpciaccess is not.

How about:

- Check for libpciaccess. If found, use it. STOP.
- If not found:
  - check for libpci.
  - if found, and if --enable-gpl-taint was specified, use it. STOP.
  - if not found, display the usual "no pci support" message at the end. STOP.
  - if found:
    - display the usual "no pci support" message at the end
    - but also display a big, bold, flashing message saying "We can enable PCI support in one of two ways: 1) download/install libpciaccess (, or 2) pass --enable-gpl-taint to allow hwloc to use libpci, BUT BE AWARE THAT THIS MAKES THIS HWLOC BINARY AND EVERYTHING THAT IT LINKS TO BE GPL!"

Jeff Squyres
For corporate legal information go to: